summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrepoman/bin/createfileimage (renamed from server/bin/createfileimage)4
-rwxr-xr-xrepoman/bin/mountimage (renamed from server/bin/mountimage)5
-rwxr-xr-xrepoman/bin/partclone2sync (renamed from server/bin/partclone2sync)4
-rwxr-xr-xrepoman/bin/reduceimage (renamed from server/bin/reduceimage)4
-rwxr-xr-xrepoman/bin/unmountimage (renamed from server/bin/unmountimage)5
5 files changed, 22 insertions, 0 deletions
diff --git a/server/bin/createfileimage b/repoman/bin/createfileimage
index 73c57711..4fcd7d9d 100755
--- a/server/bin/createfileimage
+++ b/repoman/bin/createfileimage
@@ -15,6 +15,10 @@
BASEDIR=/opt/opengnsys
REPODIR="$BASEDIR/images"
REPOLOG=$BASEDIR/log/ogAdmRepo.log
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
source $BASEDIR/client/etc/lang.$LANG.conf
PROG="$(basename $0)"
diff --git a/server/bin/mountimage b/repoman/bin/mountimage
index 6187724d..fa059fd7 100755
--- a/server/bin/mountimage
+++ b/repoman/bin/mountimage
@@ -15,8 +15,13 @@
#*/ ##
BASEDIR=/opt/opengnsys
REPODIR="$BASEDIR/images"
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
source $BASEDIR/client/etc/lang.$LANG.conf
+
PROG="$(basename $0)"
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
diff --git a/server/bin/partclone2sync b/repoman/bin/partclone2sync
index 4272cf06..0b66fa55 100755
--- a/server/bin/partclone2sync
+++ b/repoman/bin/partclone2sync
@@ -42,6 +42,10 @@ REPODIR="$BASEDIR/images"
BINDIR="$BASEDIR/bin"
PROG="$(basename $0)"
# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
+
source $BASEDIR/client/etc/lang.$LANG.conf
# Sistema de fichero de la imagen segĂșn kernel, menor que 3.7 EXT4. comparamos revision
diff --git a/server/bin/reduceimage b/repoman/bin/reduceimage
index cb2d2f37..c83f2d50 100755
--- a/server/bin/reduceimage
+++ b/repoman/bin/reduceimage
@@ -16,6 +16,10 @@
BASEDIR=/opt/opengnsys
REPODIR="$BASEDIR/images"
REPOLOG=$BASEDIR/log/ogAdmRepo.log
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
source $BASEDIR/client/etc/lang.$LANG.conf
PROG="$(basename $0)"
diff --git a/server/bin/unmountimage b/repoman/bin/unmountimage
index 812fbdd4..031ae9ee 100755
--- a/server/bin/unmountimage
+++ b/repoman/bin/unmountimage
@@ -13,6 +13,11 @@
BASEDIR=/opt/opengnsys
REPODIR="$BASEDIR/images"
REPOLOG=$BASEDIR/log/ogAdmRepo.log
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
+
source $BASEDIR/client/etc/lang.$LANG.conf
PROG="$(basename $0)"